@echo off
@C:\Windows\System32\chcp 28591 > nul
@C:\Windows\System32\mode con cols=101 lines=20
@Title Exécution en Mode ADMIN 
:: On execute les commandes en administateur
::------------------------------------------
REM --> Verification des permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"
REM --> Erreur vous ne possedez pas les droits admin
if '%errorlevel%' NEQ '0' (
REM --> Verification des privileges administrateur
goto UACPrompt
) else ( goto gotAdmin )
:UACPrompt
@echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
set params = %*:"="
echo UAC.ShellExecute "%~s0", "%params%", "", "runas", 1 >> "%temp%\getadmin.vbs"
"%temp%\getadmin.vbs"
exit /B
:gotAdmin
if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
pushd "%CD%"
CD /D "%~dp0"
@cls
::------------------------------------------
for %%i in ("C:\Program Files\Adobe\Common\Plug-ins\7.0\MediaCore\Autokroma AfterCodecs\AfterCodecs.exe") do (
C:\Windows\System32\NETSH advfirewall firewall add rule name="Autokroma AfterCodecs (Adobe PR - AE - ME)" dir=in program="%%~fi" action="block" enable="yes"
C:\Windows\System32\NETSH advfirewall firewall add rule name="Autokroma AfterCodecs (Adobe PR - AE - ME)" dir=out program="%%~fi" action="block" enable="yes"
)
@exit